export const guideList = {
  organ: {
    name: '分部',
    desc: '分部用于区分本机构下各校区，各分部员工只可查询和操作本分部数据',
    path: '/sysBasics/branchSetting',
    permission: '/branchSetting'
  },
  teamManager: {
    name: '乐团主管',
    desc: '乐团主管是直接管理乐团的负责人，可在员工管理中设置各分部的乐团主管',
    path: '/sysBasics/staffManager',
    permission: '/staffManager'
  },
  teamPayType: {
    name: '乐团收费类型',
    desc: '乐团收费类型用于区分乐团运营模式，不同类型的乐团可设置不同的课程定价',
    path: '/baseRulesClassSetting?tabrouter=6',
    permission: '/globalConfig/chargesList'
  },
  cooperationOrgan: {
    name: '合作单位',
    desc: '合作单位即合作学校，乐团需从属于具体合作单位',
    path: '/sysBasics/branchManager',
    permission: '/branchManager'
  },
  school: {
    name: '教学点',
    desc: '教学点是线下课的上课地点，学员和老师需根据教学点前往指定地点上课，同时老师需在教学点定位范围内进行考勤',
    path: '/sysBasics/addressManager',
    permission: '/addressManager'
  },
  teamCourseFee: {
    name: '乐团课程单价费用',
    desc: '乐团各类型课程都需设置每分钟价格，设置完成后创建缴费时会以此价格乘以课时时长计算学员应付价格标准',
    path: '/baseRulesClassSetting?tabrouter=2',
    permission: '/globalConfig/musicCourseFee'
  },
  teamCourseType: {
    name: '乐团收费标准',
    desc: '支持创建标准的乐团训练课程组合，创建后乐团中可直接选择该课程标准对学员进行销售',
    path: '/baseRulesClassSetting?tabrouter=3',
    permission: '/globalConfig/chargesList'
  },
  memberList: {
    name: '云教练定价',
    desc: '可对不同分部设置云教练学员购买价格，若不设置则学员不可购买云教练',
    path: '/memberFeeSet',
    permission: '/memberFeeSet'
  },
  teacher:{
    name: '新增老师',
    desc: '新增可设置老师基本信息、分部、执教声部、课酬等参数',
    path: '/teacherManager/teacherList',
    permission: '/teacherList'
  },
  holiday:{
    name: '节假日设置',
    desc: '设置节假日后，排课时可选择跳过节假日',
    path: '/holidaySetting',
    permission: '/globalConfig/holidaySetting'
  },
  teamCourseTimer:{
    name: '课程时长设置',
    desc: '可设置各分部各类型课程的单课时标准时长，设置完成后可选择已设置的时长进行排课',
    path: '/baseRulesClassSetting?tabrouter=1',
    permission: '/globalConfig/courseTimerSetting'
  },
  vipPrice:{
    name: 'VIP课时单价',
    desc: '用于计算学员购买VIP时需要支付的金额',
    path: '/baseRulesClassSetting?tabrouter=8',
    permission: '/vipChargeSeting'
  },
  teamActive:{
    name: '乐团活动',
    desc: '可通过创建乐团活动在乐团报名缴费时销售VIP课',
    path: '/vipActiveManager/vipActiveList',
    permission: '/vipActiveList'
  },
  offline:{
    name: '考勤规则设置',
    desc: '系统默认为您创建了考勤及课酬扣减规则，请根据本机构实际规则进行修改。',
    path: '/courseRulersManager?tabrouter=2',
    permission: '/institutionOfflineTeamRules'
  },
  agreement:{
    name: '服务协议',
    desc: '服务协议是学员购买服务或商品时签署的交易协议，交易成功后会生成电子合同，具有法律效益，请及时添加本机构的服务协议内容，为本机构及学员提供保障。若无协议学员也可正常购买，但不会生成电子合同。',
    path: '/tenantInfoProtocol',
    permission: 'tenantContractTemplate/list'
  }
}
