import { ConversationType, MessageDirection } from "@rongcloud/imlib-next";
import { core } from "../../imkit";
import zhCN from "../../imkit/zh_CN";
export default class RecallMessage {
  create() {
    let name;
    // let lang = core.lang ? core.lang : language.zh_CN;
    let locale = zhCN;
    if (this.direction === MessageDirection.SEND) {
      name = locale.message.you + " ";
    } else {
      if (this.conversationType === ConversationType.PRIVATE) {
        // name = locale.message.opposite+" ";
        core
          .getConversationProfile({
            targetId: this.targetId,
            conversationType: ConversationType.PRIVATE,
            channelId: this.channelId
          })
          .then(res => {
            name = res ? res.name : this.senderUserId;
            this.nameRef.innerText = name + " ";
          });
      } else if (this.conversationType === ConversationType.GROUP) {
        core
          .getGroupMemberProfile(
            {
              targetId: this.targetId,
              conversationType: ConversationType.GROUP,
              channelId: this.channelId
            },
            this.senderUserId
          )
          .then(res => {
            name = res
              ? res.groupNickname || res.name || this.senderUserId
              : this.senderUserId;
            this.nameRef.innerText = name + " ";
          });
      }
    }
    console.log(locale.message.msgRecall, name, "name");
    return name;
  }
}
