import { h } from "@stencil/core";
import { addBase64head } from "../../../utils/utils";
import { ACreateMessage } from "./base";
export default class SightMessage extends ACreateMessage {
  constructor(message, callback) {
    super(message, callback);
    this.handleClick = this.handleClick.bind(this);
  }
  handleClick() {
    if (typeof this.callback === 'function') {
      this.callback({
        type: 'sight',
        url: this.content.sightUrl,
        thumb: this.content.content,
        duration: this.content.duration,
        size: this.content.size,
        name: this.content.name
      });
    }
  }
  formatDuration(duration) {
    // const minute = duration % 60;
    // const second = (duration / 60).toFixed(0);
    // return `${second}:${minute}`;
    const hour = Math.floor(duration / 3600) >= 10 ? Math.floor(duration / 3600) : '0' + Math.floor(duration / 3600);
    duration -= 3600 * hour;
    let min = Math.floor(duration / 60) >= 10 ? Math.floor(duration / 60) : '0' + Math.floor(duration / 60);
    duration -= 60 * min;
    let sec = duration >= 10 ? duration : '0' + duration;
    return hour * 1 > 0 ? hour + ':' + min + ':' + sec : min + ':' + sec;
  }
  create() {
    const content = this.content;
    return this.wrap(h("div", { class: "sight-message-body", "data-origin": content.imageUri, onClick: this.handleClick },
      h("img", { class: "sight-conver", src: addBase64head(content.content) }),
      h("div", { class: "file-duration" }, this.formatDuration(content.duration)),
      h("div", { class: "start-play-btn" },
        h("button", null))));
  }
}
