var eventTypeMap = {
    touchstart: 1,
    touchmove: 1,
    touchend: 1,
    touchcancel: 1,
    mousedown: 2,
    mousemove: 2,
    mouseup: 2,
};

function preventDefaultExceptionFn(el, exceptions) {
    for (var i in exceptions) {
        if (exceptions[i].test(el[i])) {
            return true;
        }
    }
    return false;
}
var tagExceptionFn = preventDefaultExceptionFn;

const ActionsHandlerStart = function (e) {
    var _eventType = eventTypeMap[e.type];
    if (this.initiated && this.initiated !== _eventType) {
        return;
    }
    this.setInitiated(_eventType);
    // if textarea or other html tags in options.tagException is manipulated
    // do not make bs scroll
    if (tagExceptionFn(e.target, this.options.tagException)) {
        this.setInitiated();
        return;
    }
    // only allow mouse left button
    if (_eventType === 2 /* Mouse */ && e.button !== 0 /* Left */) {
        this.setInitiated(); // 防止按下右键进行拖拽
        return;
    }
    if (this.hooks.trigger(this.hooks.eventTypes.beforeStart, e)) {
        return;
    }
    this.beforeHandler(e, 'start');
    var point = (e.touches ? e.touches[0] : e);
    this.pointX = point.pageX;
    this.pointY = point.pageY;
    this.hooks.trigger(this.hooks.eventTypes.start, e);
};

export {
    ActionsHandlerStart
}