import Cookies from "js-cookie";
import {Session,Local} from './storage'
const TokenKey = getKeyWordKey();
// const CrossTokenKey = 'Admin-Token'
const CrossTokenKey = "Admin-Token";

function getCookieDomain() {
  let host = location.hostname;
  const ip = /^(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])\.(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])\.(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])\.(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])$/;
  if (ip.test(host) === true || host === "localhost") return host;
  const regex = /([^]*).*/;
  const match = host.match(regex);
  if (typeof match !== "undefined" && match !== null) host = match[1];
  if (typeof host !== "undefined" && host !== null) {
    const strAry = host.split(".");
    if (strAry.length > 1) {
      host = strAry[strAry.length - 2] + "." + strAry[strAry.length - 1];
    }
  }
  return "." + host;
}

// 获取token关键字
function getKeyWordKey() {
  const origin = window.location.origin;
  return origin.indexOf("online.") >= 0
    ? "dy_admin_token"
    : "dy_admin_token_test";
}

export function getToken() {
  return Cookies.get(TokenKey, { domain: getCookieDomain() }) ||  Local.get('token') ||  Session.get('token');
}

export function getTenantId() {
  const tenantConfig = sessionStorage.getItem("tenantConfig");
  const tmp = tenantConfig ? JSON.parse(tenantConfig) : null;
  return tmp ? tmp.tenantId : 0;
}

export function setToken(token) {
  Session.set('token',token)
  Local.set('token',token)
  return Cookies.set(TokenKey, token, { domain: getCookieDomain() });
}

export function removeToken() {
  Session.set('token','')
  Local.set('token','')
  Cookies.set(TokenKey, "");
  return Cookies.remove(TokenKey);
}

export function removeTenant() {
  // 移除跟机构相关信息
  sessionStorage.removeItem("tenantRenewStatus");
  sessionStorage.removeItem("tenantConfig");
  sessionStorage.removeItem("baseTenantId");
}

export function setCrossToken(token) {
  return Cookies.set(CrossTokenKey, token, { domain: getCookieDomain() });
}

export function removeCrossToken() {
  return Cookies.remove(CrossTokenKey, { domain: getCookieDomain() });
}
