export function headHtml (isPreview = true, title) {
  let template = `
  <!DOCTYPE html>
  <html lang="en">
  <head>
      <meta charset="utf-8" />
      <meta http-equiv="X-UA-Compatible" content="IE=edge" />
      <meta name="viewport" content="width=device-width,initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no, viewport-fit=cover" />
      <meta http-equiv="Pragma" content="no-cache" />
      <meta http-equiv="Cache-Control" content="no-cache" />
      <meta http-equiv="Expires" content="0" />
      <title>${title || '产品与服务协议'}</title>
      <style>
          body { margin: 0; }
          header {
              height: 40px;
              line-height: .40px;
              color: #000;
              font-size: 17px;
              background: #fff;
              box-shadow: 0px 1px 8px 0px rgba(0, 0, 0, 0.07);
              text-align: center;
          }
          header .back {
              width: 20px;
              height: 20px;
              position: absolute;
              left: 12px;
              top: 10px;
          }
          .container {
              padding: 22px 20px 3px;
              font-size: 14px;
          }
          h1 {
              font-size: 18px;
              text-align: center;
              margin-bottom: 8px;
          }
          h2 {
              font-size: 16px;
              font-weight: bold;
              padding-top: 15px;
          }
          h3 {
              font-size: 14px;
              font-weight: bold;
          }
          .signature {
              padding-top: 50px;
          }
          .signature .sign {
              position: relative;
              width: 49%;
              display: inline-block;
          }
          .signature span {
              display: block;
          }
          .signature .cachet {
              position: absolute;
              top: -60px;
              left: 0;
              width: 150px;
              height: 150px;
          }
          .iInfo {
              display: flex;
          }
          .iInfo span {
              flex: 1;
          }
          .iInfoContent, .iInfoContent span {
              display: block;
          }
          .underline {
              text-decoration: underline;
          }
          .bold {
              font-weight: bold;
          }
      </style>
  </head>
  <body style="font-family:'SimSun'">
      <div class="container">`
    if(isPreview) {
        return template + `<h1>《${title || '产品与服务协议'}》</h1>
        甲方： <br/>
        <div style="display: flex;">乙方：
            <div style="flex: 1 auto;">
                <div class="iInfo">
                    <span>家长姓名: </span>
                    <span>电话：</span>
                </div>
                <div class="iInfo">
                    <span>身份证号：</span>
                </div>
                <div class="iInfo">
                    <span>学生姓名：</span>
                </div>
                <div class="iInfo">
                    <span>所在学校与班级：</span>
                </div>
                <div class="iInfo">
                    <span>所在声部：</span>
                </div>
            </div>
        </div>
        <div>（本协议中“乙方“指学员及家长；”乙方学员“指购买甲方产品或服务的学员；”乙方家长“仅指乙方学员的法定监护人。）</div>`
    } else {
        return template + '<h1>《产品与服务协议》</h1>甲方：${companyName} <br/><div style="display: flex;">乙方：<div style="flex: 1 auto;"><div class="iInfo"><span>家长姓名：${studentInfo.realName!}</span><span>电话：${studentInfo.phone!}</span></div><#if studentInfo.certificateType == "IDENTITY"><div class="iInfo"><span>身份证号：${studentInfo.idCardNo!}</span></div></#if><div class="iInfo"><span>学生姓名：${studentInfo.username!}</span></div><#if studentInfo.grade?default("")?trim?length gt 1><div class="iInfo"><span>所在班级：${studentInfo.grade!} ${studentInfo.clazz!}</span></div></#if><#if studentInfo.subject.name?default("")?trim?length gt 1><div class="iInfo"><span>所在声部：${studentInfo.subject.name!}</span></div></#if></div></div><div>（本协议中“乙方“指学员及家长；”乙方学员“指购买甲方产品或服务的学员；”乙方家长“仅指乙方学员的法定监护人。）</div>'
    }
}

// 默认预览
export function footerHtml(isPreview = true) {
    if(isPreview) {
        // <img class="cachet" src="https://daya-online.oss-cn-beijing.aliyuncs.com/website/cachet.png" alt="" />
        return `
        <div class="signature">
                    <div class="sign">甲方签章：
                        <span>日期：</span>
                    </div>
                    <div class="sign">乙方签字：
                        <span>日期： </span>
                    </div>
                </div>
            </div>
        </body>
        </html>`
    } else {
        return '<div class="signature"><#if isShowVisualSeal><div class="sign">甲方签章：${companyName}<img class="cachet" src="${sealPicture!}" alt="" /><span>日期：${.now?string("yyyy年MM月dd日")}</span></div><div class="sign">乙方签章：${studentInfo.realName!}<span>日期：${.now?string("yyyy年MM月dd日")} </span></div><#else><div class="sign">甲方签章：${companyName}<span>日期：${.now?string("yyyy年MM月dd日")}</span></div><div class="sign">乙方签章：<span>日期：${.now?string("yyyy年MM月dd日")} </span></div></#if></div></body></html>'
    }
}
